## UDisksLinuxManager

UDisksLinuxManager — Linux implementation of UDisksManager

## Functions

UDisksManager * | udisks_linux_manager_new ()
UDisksDaemon * | udisks_linux_manager_get_daemon ()

## Properties

UDisksDaemon * | daemon | Read / Write / Construct Only

## Types and Values

| UDisksLinuxManager

## Object Hierarchy

        GObject
        ╰── GDBusInterfaceSkeleton
            ╰── UDisksManagerSkeleton
                ╰── UDisksLinuxManager

## Implemented Interfaces

UDisksLinuxManager implements GDBusInterface and UDisksManager.

## Description

This type provides an implementation of the UDisksManager interface on Linux.

## Functions

### udisks_linux_manager_new ()

    UDisksManager *
    udisks_linux_manager_new (UDisksDaemon *daemon);

Creates a new UDisksLinuxManager instance.

#### Parameters

daemon | A UDisksDaemon. |

#### Returns

A new UDisksLinuxManager. Free with `g_object_unref()`.

### udisks_linux_manager_get_daemon ()

    UDisksDaemon *
    udisks_linux_manager_get_daemon (UDisksLinuxManager *manager);

Gets the daemon used by `manager` .

#### Parameters

manager | A UDisksLinuxManager. |

#### Returns

A UDisksDaemon. Do not free, the object is owned by `manager` .

## Types and Values

### UDisksLinuxManager

    typedef struct _UDisksLinuxManager UDisksLinuxManager;

The UDisksLinuxManager structure contains only private data and should only be accessed using the provided API.

## Property Details

### The `“daemon”` property

      “daemon”                   UDisksDaemon *

The UDisksDaemon for the object.

Owner: UDisksLinuxManager

Flags: Read / Write / Construct Only